: Class ByteRangeOutputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class ByteRangeOutputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.w3c.www.http.ByteRangeOutputStream

public class ByteRangeOutputStream
extends java.io.InputStream

Constructor Summary
`ByteRangeOutputStream(java.io.File file, int firstp, int lastp)`

Method Summary
`int` | `available()`
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteRangeOutputStream

    public ByteRangeOutputStream(java.io.File file,
                                 int firstp,
                                 int lastp)
                          throws java.io.IOException

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.InputStream

### available

    public int available()

  Overrides:
    available in class java.io.InputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD